coverage:
  range: 40..100         # green if 100+, red if 70-

  status:
    patch:
      # coverage status for pull request diff
      default:
        target: 100     # any patch should be 100% covered
        threshold: 1%   # allow a little drop

    project:
      # coverage status for whole project
      default:
        target: auto    # use coverage of base commit as target
        threshold: 1%   # allow a little drop

      # coverage status for unit tests
      unit:
        flags: unit
        target: 40

parsers:
  javascript:
    enable_partials: yes    # use partial line coverage
